]> arthur.barton.de Git - netatalk.git/blobdiff - bootstrap
new rpm spec from Dan A. Dickey.
[netatalk.git] / bootstrap
diff --git a/bootstrap b/bootstrap
new file mode 100755 (executable)
index 0000000..2d871d8
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -x
+
+rm -rf autom4te*.cache
+
+# build it all.
+aclocal -I macros $ACLOCAL_FLAGS || exit 1
+autoheader || exit 1
+libtoolize --force --copy
+automake --include-deps --add-missing --foreign --copy || exit 1
+autoconf || exit 1
+
+# Original configure call was:
+#./configure --enable-maintainer-mode "$@"
+# However, according to:
+#  http://sources.redhat.com/autobook/autobook/autobook_43.html#SEC43
+# we need to have AM_MAINTAINER_MODE in configure.in in order to use
+# this feature.  It's not there at the moment, so I'm changing the
+# configure call.
+# And sometimes I don't want this to run.
+[ -z "$NOEXECCONFIGURE" ] && ./configure "$@"
+
+# Let's not fall off the end...
+exit 0